$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-b998852385ddcd7c315d583e0a6919095fcc1daf/rpcs3-v0.0.12-11059-b9988523_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'c82e2c0336a446da4dc6b997082d93ee5ab22bdbeba90911f4ce503ce56562d9'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
